Business Signal Sources
List business signal source changes
Lists business signal source changes, newest first.
GET
/
business-signal-sources
/
changes
cURL
curl "https://parmana-api-real.vercel.app/business-signal-sources/changes?status=PENDING_APPROVAL" \
-H "Authorization: Bearer $PARMANA_API_KEY"import { ParmanaClient } from "@parmana/sdk";
const client = new ParmanaClient({
endpoint: "https://parmana-api-real.vercel.app",
apiKey: process.env.PARMANA_API_KEY!,
});
for (const change of await client.businessSignalSourceChanges(
"PENDING_APPROVAL",
)) {
console.log(change.changeId, change.action, change.name);
}import os
from parmana import ParmanaClient
client = ParmanaClient(
endpoint="https://parmana-api-real.vercel.app",
api_key=os.environ["PARMANA_API_KEY"],
)
for change in client.business_signal_source_changes("PENDING_APPROVAL"):
print(change.change_id, change.action, change.name)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://parmana-sandbox.vercel.app/business-signal-sources/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"changeId": "5ba7d3a6-d56d-4e90-b588-402d44aeee0c",
"action": "register",
"name": "erp",
"endpointUrl": "https://orders.example.com/parmana/signals",
"timeoutMs": 5000,
"publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAsgWd/PtRf9OsENif9bgJegghUpmEOOZN5NROxc3zpPc=\n-----END PUBLIC KEY-----\n",
"keyId": "erp-2026-10",
"reason": "Release goods only against invoices the ERP says are paid.",
"proposedBy": "source-maker",
"proposedAt": "2026-10-11T02:58:24.725Z",
"status": "PENDING_APPROVAL"
}
]
}Authorizations
Caller API key issued by scripts/generate-api-key.ts. Sent as Authorization: Bearer . Verified against a stored SHA-256 hash in constant time by packages/api/src/auth/StaticKeyAuthenticator.ts. Required on every route not listed as exempt in this document's top-level description. See /api-reference/authentication.
Query Parameters
PENDING_APPROVAL, APPROVED or REJECTED. Omit for all.
Available options:
PENDING_APPROVAL, APPROVED, REJECTED Response
The changes.
Response of GET /business-signal-sources/changes, newest first.
Show child attributes
Show child attributes
⌘I
cURL
curl "https://parmana-api-real.vercel.app/business-signal-sources/changes?status=PENDING_APPROVAL" \
-H "Authorization: Bearer $PARMANA_API_KEY"import { ParmanaClient } from "@parmana/sdk";
const client = new ParmanaClient({
endpoint: "https://parmana-api-real.vercel.app",
apiKey: process.env.PARMANA_API_KEY!,
});
for (const change of await client.businessSignalSourceChanges(
"PENDING_APPROVAL",
)) {
console.log(change.changeId, change.action, change.name);
}import os
from parmana import ParmanaClient
client = ParmanaClient(
endpoint="https://parmana-api-real.vercel.app",
api_key=os.environ["PARMANA_API_KEY"],
)
for change in client.business_signal_source_changes("PENDING_APPROVAL"):
print(change.change_id, change.action, change.name)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://parmana-sandbox.vercel.app/business-signal-sources/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"changeId": "5ba7d3a6-d56d-4e90-b588-402d44aeee0c",
"action": "register",
"name": "erp",
"endpointUrl": "https://orders.example.com/parmana/signals",
"timeoutMs": 5000,
"publicKeyPem": "-----BEGIN PUBLIC KEY-----\nMCowBQYDK2VwAyEAsgWd/PtRf9OsENif9bgJegghUpmEOOZN5NROxc3zpPc=\n-----END PUBLIC KEY-----\n",
"keyId": "erp-2026-10",
"reason": "Release goods only against invoices the ERP says are paid.",
"proposedBy": "source-maker",
"proposedAt": "2026-10-11T02:58:24.725Z",
"status": "PENDING_APPROVAL"
}
]
}